import {createContext, useEffect, useState} from "react";
import {jsonRequest} from "@/common/util/RequestUtil.js";

export const GuildContext = createContext({});

export const GuildProvider = ({children}) => {
    const [guillds, setGuilds] = useState([]);

    const updateGuilds = async () => jsonRequest("/guilds").then((res) => setGuilds(res));

    useEffect(() => {
        updateGuilds();
    }, []);

    return (
        <GuildContext.Provider value={guillds}>
            {children}
        </GuildContext.Provider>
    )
}